> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/api-reference/rest-api/rest-api-overview.md).

# REST API overview

Ecwid REST API allows you to access and manage any store data, payment and shipping methods, and storefront settings.

We use OAuth 2.0 authorization simplified for single-store customizations, JSON-formatted data, and a clear structure.&#x20;

Please note that our REST API has **rate limits**.

We accept up to **600 requests per minute** **per token**. If you exceed the limit, all subsequent requests will be ignored with an error 429 and a **"Retry-After": N** header (number **N** is a cooldown) . If more requests continue to come from a non-working token, Ecwid will block it for much longer after 20 requests per minute or a total of 600 requests with non-working tokens per IP.

Ecwid API also supports **gzip** encoding through the `"Accept-Encoding": "gzip"` header.

### Get access to REST API

If you don't yet have access to Ecwid API, follow the detailed instructions in these articles:

1. [Set up your dev environment in Ecwid](/get-started/set-up-your-dev-environment-in-ecwid.md)
2. [Make your first API request](/get-started/make-your-first-api-request.md)
3. [Add more features to your custom app](/get-started/add-more-features-to-your-custom-app.md)

### Get started with the popular API calls

<table data-view="cards"><thead><tr><th></th><th data-type="content-ref"></th><th data-type="content-ref"></th><th data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>General store settings:</strong></td><td><a href="/pages/4eQUb3Z4KrDb2CiEHvGI">/pages/4eQUb3Z4KrDb2CiEHvGI</a></td><td><a href="/pages/iPBc698i21vs0LCxCchj">/pages/iPBc698i21vs0LCxCchj</a></td><td><a href="/pages/BdY6i62ccIey4dpfSeAa">/pages/BdY6i62ccIey4dpfSeAa</a></td></tr><tr><td><strong>Orders:</strong></td><td><a href="/pages/fJ6TlRX1njJ0QuUs4jUZ">/pages/fJ6TlRX1njJ0QuUs4jUZ</a></td><td><a href="/pages/2DohuqDI42XmyVx7QWZU">/pages/2DohuqDI42XmyVx7QWZU</a></td><td><a href="/pages/SuOTKtcWgc8vLUruQG0C">/pages/SuOTKtcWgc8vLUruQG0C</a></td></tr><tr><td><strong>Products:</strong></td><td><a href="/pages/E1FL8BOLRXb6w5opqDUP">/pages/E1FL8BOLRXb6w5opqDUP</a></td><td><a href="/pages/hPBqbS3449uGgZHIL3HM">/pages/hPBqbS3449uGgZHIL3HM</a></td><td><a href="/pages/TxXYj4OWjfSZcGtFECDY">/pages/TxXYj4OWjfSZcGtFECDY</a></td></tr><tr><td><strong>Customers:</strong></td><td><a href="/pages/hbRp1dxx1gy3LypDyWa2">/pages/hbRp1dxx1gy3LypDyWa2</a></td><td><a href="/pages/5MfdMGmxEeFtxOFLf4p0">/pages/5MfdMGmxEeFtxOFLf4p0</a></td><td><a href="/pages/Tcy85UPQCNtLR9lEpZlZ">/pages/Tcy85UPQCNtLR9lEpZlZ</a></td></tr><tr><td><strong>Categories:</strong></td><td><a href="/pages/pxYwNnhOzc4I9EOgld2s">/pages/pxYwNnhOzc4I9EOgld2s</a></td><td><a href="/pages/0f4idZ0O50huTFIGT1wX">/pages/0f4idZ0O50huTFIGT1wX</a></td><td><a href="/pages/0G8DnPLF7n14qU5lBFZS">/pages/0G8DnPLF7n14qU5lBFZS</a></td></tr><tr><td><strong>Discounts:</strong></td><td><a href="/pages/wZpkn8Be2UQ0eBwkopXo">/pages/wZpkn8Be2UQ0eBwkopXo</a></td><td><a href="/pages/9hRrRL3BKHHMbzRoJGX2">/pages/9hRrRL3BKHHMbzRoJGX2</a></td><td><a href="/pages/fWjLgaAquWTDr8nqPwWw">/pages/fWjLgaAquWTDr8nqPwWw</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/api-reference/rest-api/rest-api-overview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
